---
- name: Include OS specific setup tasks
  ansible.builtin.include_tasks: "{{ tasks }}"
  with_first_found:
    - "tasks/setup-{{ ansible_facts['distribution'] | lower }}.yml"
    - "tasks/setup-{{ ansible_facts['os_family'] | lower }}.yml"
  loop_control:
    loop_var: tasks

- name: Start mysql server
  ansible.builtin.service:
    name: mysql
    state: started
    enabled: true

- name: Flush handlers
  ansible.builtin.meta: flush_handlers

- name: Create databases
  community.mysql.mysql_db:
    name: "{{ item.1 }}"
    state: present
    login_unix_socket: /run/mysqld/mysqld.sock
  with_subelements:
    - "{{ mysql_users }}"
    - databases
  no_log: true

- name: Create user
  community.mysql.mysql_user:
    state: present
    name: "{{ item.0.name }}"
    password: "{{ item.0.password }}"
    plugin: mysql_native_password
    login_unix_socket: /run/mysqld/mysqld.sock
    priv: "{{ item.1 }}.*:ALL"
    append_privs: true
  with_subelements:
    - "{{ mysql_users }}"
    - databases
  no_log: true
